$(document).ready(function()
{
    $('#menu li').removeClass('active').find('a[href*=all]').parent().addClass('active');

    /* Toggle options. */
    $('#control').change(function()
    {
        var checkUrl = createLink('product', 'ajaxCheckFieldLength', 'fieldID=' + v.fieldID + '&control=' + $(this).val())
        $.get(checkUrl, function(data){if(data) bootbox.alert(data);});

        var control = $(this).val();
        $('#optionTR').toggle(control == 'select' || control == 'radio' || control == 'checkbox');
    });

    $('#control').change();

    /* Add a option. */
    $(document).on('click', '.addItem', function()
    {
        $(this).parents('.input-group').after($('#optionGroup').html());
    });

    /* Delete a option. */
    $(document).on('click', '.delItem', function()
    {
        if($(this).parents('td').find('div.input-group').size() == 1)
        {
            $(this).parents('.input-group').find('input').val('');
        }
        else
        {
            $(this).parents('.input-group').remove();
        }
    });
});
